Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

-     public class VerifyClass
      extends MatchingTask

  Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass()` Creates a bytecode verification task.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `execute()` Verifies every class file below the configured directory.
    `` | `public void` | `setDir(String dir)` Sets the top-level directory that will be scanned for class files.
    `` | `public void` | `setVerbose(boolean v)` Controls whether failing methods are logged verbosely.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `XsetIgnore, XsetItems, add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, bindToOwner, clone, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, equals, execute, getClass, getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getSelectors, getTaskName, getTaskType, hasSelectors, hashCode, init, log, log, log, log, maybeConfigure, notify, notifyAll, perform, reconfigure, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDescription, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setLocation, setOwningTarget, setProject, setRuntimeConfigurableWrapper, setTaskName, setTaskType, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public VerifyClass()

      Creates a bytecode verification task.

  - ### Method Detail

    - #### public void execute()

      Verifies every class file below the configured directory.

      throws:
        BuildException if configuration is invalid or verification fails unexpectedly

    - #### public void setDir(String dir)

      Sets the top-level directory that will be scanned for class files.

      throws:
        BuildException if Ant rejects the supplied value
      Parameters:
        `dir` - the directory to verify

    - #### public void setVerbose(boolean v)

      Controls whether failing methods are logged verbosely.

      Parameters:
        `v` - `true` to log failing method signatures